[SOLVED] Audacious on CentOS 6

Issues related to applications and software problems
icemans
Posts: 64
Joined: 2012/02/19 21:21:30
Location: Burgas, Bulgaria

[SOLVED] Audacious on CentOS 6

Post by icemans » 2012/03/11 21:10:16

Hi, again! I cannot install Audacious. I install ATrpms reposytories, find Audacious packages but when try to install it i see this error:
[code]libavcodec53-0.10-54.el6.i686 requires libvpx.so.1[/code]
Then I download libvpx.so.1 but it needs libvpx.so.0,
[code] rpm -Uhv libvpx-1.0.0-1.el6.i686.rpm
error: Failed dependencies:
libvpx.so.0 is needed by (installed) gstreamer-plugins-bad-free-0.10.19-2.el6.i686[/code]

I download libvpx.so.0 package and whe try to install it:
[code]# rpm -Uhv libvpx-0.9.0-8.el6_0.src.rpm
warning: libvpx-0.9.0-8.el6_0.src.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
1:libvpx warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
########################################### [100%]
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root[/code]

Any idea?

YBellefeuille
Posts: 319
Joined: 2012/03/06 22:30:17
Location: Ottawa

Re: Audacious on CentOS 6

Post by YBellefeuille » 2012/03/11 23:35:15

[quote]I download libvpx.so.0 package and whe try to install it:
[code]# rpm -Uhv libvpx-0.9.0-8.el6_0.[b]src[/b].rpm [/code][/quote]

What you've done here is installed the source code for libvpx, not the binary file. libvpx is in the base and updates repositories, so just doing "yum install libvpx" should work. It's better to use "yum" than "rpm" for this reason: yum will search the repositories; rpm won't.

icemans
Posts: 64
Joined: 2012/02/19 21:21:30
Location: Burgas, Bulgaria

Re: Audacious on CentOS 6

Post by icemans » 2012/03/12 08:03:38

Yes, you are right about the src packages. But when I try "yum install libvpx" I see:
[code]Package libvpx-0.9.0-8.el6_0.i686 already installed and latest version
Nothing to do[/code]

And when I try to install audacious again:
[code]# yum install audacious
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: centos.skknet.net
* centosplus: centos.skknet.net
* elrepo: mirror.solvention.de
* epel: lnx.apollo-hw.ro
* extras: centos.skknet.net
* livna: wftp.tu-chemnitz.de
* rpmforge: ftp-stud.fht-esslingen.de
* rpmforge-extras: ftp-stud.fht-esslingen.de
* updates: centos.skknet.net
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package audacious.i686 0:3.2-1.el6 will be installed
--> Processing Dependency: audacious-plugins >= 3.0 for package: audacious-3.2-1.el6.i686
--> Running transaction check
---> Package audacious-plugins.i686 0:3.2-1.el6 will be installed
--> Processing Dependency: libmms.so.0 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libsidplay.so.1 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libcddb.so.2 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libfluidsynth.so.1 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libavutil.so.51 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libavcodec.so.53 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libavcodec.so.53(LIBAVCODEC_53) for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libcue.so.1 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libavformat.so.53(LIBAVFORMAT_53) for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libavformat.so.53 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libbs2b.so.0 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libbinio.so.1 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libfaad.so.2 for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libavutil.so.51(LIBAVUTIL_51) for package: audacious-plugins-3.2-1.el6.i686
--> Processing Dependency: libmodplug.so.0 for package: audacious-plugins-3.2-1.el6.i686
--> Running transaction check
---> Package fluidsynth-libs.i686 0:1.1.3-1.el6 will be installed
--> Processing Dependency: libjack.so.0 for package: fluidsynth-libs-1.1.3-1.el6.i686
--> Processing Dependency: liblash.so.1 for package: fluidsynth-libs-1.1.3-1.el6.i686
---> Package libavcodec53.i686 0:0.10-54.el6 will be installed
--> Processing Dependency: libx264.so.118 for package: libavcodec53-0.10-54.el6.i686
--> Processing Dependency: libxavs.so.1 for package: libavcodec53-0.10-54.el6.i686
--> Processing Dependency: libva.so.1 for package: libavcodec53-0.10-54.el6.i686
--> Processing Dependency: libvpx.so.1 for package: libavcodec53-0.10-54.el6.i686
---> Package libavformat53.i686 0:0.10-54.el6 will be installed
---> Package libavutil51.i686 0:0.10-54.el6 will be installed
---> Package libbinio.i686 0:1.4-12.el6 will be installed
---> Package libbs2b.i686 0:3.1.0-2.el6 will be installed
---> Package libcddb.i686 0:1.3.2-4.el6 will be installed
---> Package libcue.i686 0:1.3.0-2.el6 will be installed
---> Package libfaad2.i686 1:2.7-18.el6 will be installed
---> Package libmms.i686 0:0.6.2-4.el6 will be installed
---> Package libmodplug.i686 1:0.8.7-2.el6 will be installed
---> Package libsidplay.i686 0:1.36.60-1.el6.rf will be installed
--> Running transaction check
---> Package jack-audio-connection-kit.i686 0:0.118.0-1.el6 will be installed
---> Package lash.i686 0:0.5.4-9.el6 will be installed
---> Package libavcodec53.i686 0:0.10-54.el6 will be installed
--> Processing Dependency: libvpx.so.1 for package: libavcodec53-0.10-54.el6.i686
---> Package libva1.i686 0:1.0.15-7.el6 will be installed
---> Package libx264_118.i686 0:0.118-17_20111111.2245.el6 will be installed
---> Package libxavs1.i686 0:0.1.51-2.el6 will be installed
--> Finished Dependency Resolution
Error: Package: libavcodec53-0.10-54.el6.i686 (atrpms)
Requires: libvpx.so.1
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest[/code]

freethinker
Posts: 29
Joined: 2010/03/24 16:24:15
Location: St. Louis, MO
Contact:

Re: Audacious on CentOS 6

Post by freethinker » 2012/03/12 13:29:33

wget ftp://ftp.pbone.net/mirror/atrpms.net/sl6-i386/atrpms/testing/libvpx-1.0.0-1.el6.i686.rpm
# wget ftp://ftp.pbone.net/mirror/atrpms.net/sl6-x86_64/atrpms/testing/libvpx-1.0.0-1.el6.x86_64.rpm

rpm -ivh libvpx-1.0.0-1.el6.*.rpm

worked for me to update ffmpeg & vlc (from atrpms)

BTW, my personal recommendation is to drop rpmforge & use atrpms instead.
I've seen way too many conflicts caused by rpmforge.

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

[SOLVED] Audacious on CentOS 6

Post by pschaff » 2012/03/12 18:26:37

I have seen many more issues with ATrpms than with RPMforge, and manually downloading and installing RPMs rather than using yum properly is definitely [b]not[/b] recommended, but mixing the two repos is definitely a guaranteed recipe for trouble. In a conflict between 3rd party repos who's to say which is at fault? The problem is mutual incompatibility.

The OP's problem seems to be that /usr/lib/libvpx.so.1 is supplied by libvpx-1.0.0-1.el6.i686 which is in the mis-named [atrpms-testing] (would better be called [atrpms-extras]) which contains packages that replace core packages. The base package libvpx-0.9.0-8.el6_0.i686 provides only /usr/lib/libvpx.so.0 while the ATrpms Testing package provides both.

A work-around might be:
[code]yum --disablerepo rpmforge --enablerepo atrpms,atrpms-testing install audacious[/code]

The real solution should be to read about [url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14408&forum=47]Installing Software[/url] and [url=http://wiki.centos.org/AdditionalResources/Repositories]Repositories[/url], and note the warnings and advice about installing and configuring the [url=http://wiki.centos.org/PackageManagement/Yum/Priorities]yum priorities plugin[/url]. Non-core repos should have a higher numeric value, which is a lower priority. Lower is "better" as in golf scores. It is often a good idea to leave all 3rd party repos disabled by default, and only enable selectively as above when needed.

icemans
Posts: 64
Joined: 2012/02/19 21:21:30
Location: Burgas, Bulgaria

Re: Audacious on CentOS 6

Post by icemans » 2012/03/12 19:21:30

Thank you but when I try
[code]yum --disablerepo rpmforge --enablerepo atrpms,atrpms-testing install audacious[/code]

I see this again:

[code]Error: Package: libavcodec53-0.10-54.el6.i686 (atrpms)
Requires: libvpx.so.1
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest[/code]

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: Audacious on CentOS 6

Post by pschaff » 2012/03/12 19:32:11

Works for me. Please [url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=28723&forum=54]provide more information about your system[/url] by running "./getinfo.sh package" and showing us the output file.

icemans
Posts: 64
Joined: 2012/02/19 21:21:30
Location: Burgas, Bulgaria

Re: Audacious on CentOS 6

Post by icemans » 2012/03/12 20:44:29

OK! I put "./getinfo.sh package" but where can I see the temporary file?

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: Audacious on CentOS 6

Post by pschaff » 2012/03/12 20:57:48

It would have been named in the output to the terminal. Should have looked something like the following, with a different filename in /tmp:
--------------------------------------------------------------------------------------
$ getinfo.sh basic

WARNING!!!
Not running as root. No fdisk or LVM information will be provided!

Collecting CentOS system information for basic questions.

########################
Results are in the file:
* /tmp/basedata.AmvEOp *
########################

To provide this information in support of a question on the CentOS fora,
mailing list, or IRC channel please post its contents to

http://pastebin.centos.org/

or another similar public site of your choice.
Select a retention time longer than the default of 'a day'
and provide a link to the information in your post.

Alternatively, post in-line, trimming to remove any unnecessary information
for your topic. For forum posts, please leave in the
[code] ... [/code] tags to preserve formatting.

WARNING - Check the contents of the /tmp/basedata.AmvEOp file to ensure it does
not contain any sensitive information such as public IP addresses or hostnames.
If necessary obfuscate such information before posting. For example:
146.xxx.xxx.41 or myhost.mydomain.net
--------------------------------------------------------------------------------------

icemans
Posts: 64
Joined: 2012/02/19 21:21:30
Location: Burgas, Bulgaria

Re: Audacious on CentOS 6

Post by icemans » 2012/03/12 21:13:39

It seems I make mistake. I don't see any similar file in /tmp directory. I noticed when I put "cat - > getinfo.sh # Note: Ctrl-D is EOF" the cursor flashes only and then I put Ctrl+D to can put the next command. Is this normal?

Post Reply

Return to “CentOS 6 - Software Support”